<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.datasources.jdbc-driver" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="deployment-name,driver-class-name,driver-datasource-class-name,driver-major-version,driver-minor-version,driver-module-name,driver-name,driver-xa-datasource-class-name,jdbc-compliant,module-slot,profile-feature"/>
        <elem name="op-params-mapping" value="deployment-name,driver-class-name,driver-datasource-class-name,driver-major-version,driver-minor-version,driver-module-name,driver-name,driver-xa-datasource-class-name,jdbc-compliant,module-slot,profile"/>
        <elem name="addr-params" value="profile,subsystem,jdbc-driver"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.datasources"/>
    </annotation>
    <refs>
        <ref feature="subsystem.datasources"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="driver-major-version" nillable="true" stability="default"/>
        <param name="driver-name" nillable="true" stability="default"/>
        <param name="jdbc-driver" feature-id="true"/>
        <param name="driver-datasource-class-name" nillable="true" stability="default"/>
        <param name="driver-minor-version" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="jdbc-compliant" nillable="true" stability="default"/>
        <param name="profile-feature" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="datasources"/>
        <param name="driver-xa-datasource-class-name" nillable="true" stability="default"/>
        <param name="deployment-name" nillable="true" stability="default"/>
        <param name="driver-module-name" stability="default"/>
        <param name="module-slot" nillable="true" stability="default"/>
        <param name="driver-class-name" nillable="true" stability="default"/>
    </params>
</feature-spec>